
Colony - Bug #1477

Fix line follower

10/04/2010 10:57 PM - John Sexton

Status: Fixed Start date: 10/04/2010

Priority: High Due date:  

Assignee: Dan Jacobs % Done: 100%

Category:  Estimated time: 4.00 hours

Target version:    

Description

Get line following sensor to read all values correctly.

History

#1 - 10/05/2010 12:16 AM - Dan Jacobs

- Status changed from Assigned to Feedback

- % Done changed from 0 to 40

- Estimated time set to 4.00 h

ADC conflict on analog 4-8 with range finders.  Do Not Use Them.

Analog 0 is bom

Analog 1-3 work.

Attempted to use analog 12-14(formerly encoders).  Analog 13 (encoder LDO) works, other 3 do not.  Unknown cause, possibly a short.  Encoders

still connected to the analog lines.  Removing encoders and cutting two wires enables all inputs.

Additional notes:

I no longer trust analog 13 without additional testing or encoder removal.

Bickles is bomless and encoder wires need fixing to work.

Options:

1. Only use 3 line sensors  (Known to work)

2. Disable encoders analog in and remove encoders (2 sensors each)  (Known to work)

3. Disconnect rear range finders (1 sensor each)   (Untested)

4. Add an additional analog mux   (Untested)

5. Add an external I2C ADC   (Untested)

#2 - 10/06/2010 09:47 PM - Dan Jacobs

- Status changed from Feedback to Fixed

- % Done changed from 40 to 100

Removed Bickles left encoder and rear range finders.  All 7 sensors are now reading values correctly, and in order.  Unknown if right encoder works

or not.  Based on initial testing, .75 inch line width works best.  Ports are A1-A5 and LDI + LDO from the left encoder.  These are analog ports (left to

right) 13, 12, 3, 2, 9, 8, 1

Ports 8 and 1 are for the bar code.
